> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ton.org/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.ton.org/feedback

```json
{
  "path": "/ecosystem/api/toncenter/v3/multisig/get-multisig-wallets",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get Multisig Wallets

> Get multisig contracts by specified filters with associated orders



## OpenAPI

````yaml get /api/v3/multisig/wallets
openapi: 3.0.0
info:
  title: TON Index (Go)
  description: >-
    TON Index collects data from a full node to PostgreSQL database and provides
    convenient API to an indexed blockchain.
  version: 1.2.4-rc
  contact: {}
servers:
  - url: https://toncenter.com
  - url: https://testnet.toncenter.com
security: []
paths:
  /api/v3/multisig/wallets:
    get:
      tags:
        - Multisig
      summary: Get Multisig Wallets
      description: Get multisig contracts by specified filters with associated orders
      operationId: api_v3_get_multisig_wallets
      parameters:
        - name: address
          in: query
          description: 'Multisig contract address in any form. Max: 1024.'
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: wallet_address
          in: query
          description: 'Address of signer or proposer wallet in any form. Max: 1024.'
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: limit
          in: query
          description: Limit number of queried rows. Use with *offset* to batch read.
          schema:
            type: integer
            format: int32
            default: 10
            minimum: 1
            maximum: 1024
        - name: offset
          in: query
          description: Skip first N rows. Use with *limit* to batch read.
          schema:
            type: integer
            format: int32
            default: 0
            minimum: 0
        - name: sort
          in: query
          description: Sort multisigs by last_transaction_lt.
          schema:
            type: string
            default: desc
            enum:
              - asc
              - desc
        - name: include_orders
          in: query
          description: Gather multisig orders
          schema:
            type: boolean
            default: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MultisigResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RequestError'
      security: []
components:
  schemas:
    MultisigResponse:
      type: object
      properties:
        address_book:
          $ref: '#/components/schemas/AddressBook'
        multisigs:
          type: array
          items:
            $ref: '#/components/schemas/Multisig'
    RequestError:
      type: object
      properties:
        code:
          type: integer
        error:
          type: string
    AddressBook:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/AddressBookRow'
    Multisig:
      type: object
      properties:
        address:
          type: string
        code_hash:
          type: string
        data_hash:
          type: string
        last_transaction_lt:
          type: string
          example: '0'
        next_order_seqno:
          type: string
        orders:
          type: array
          items:
            $ref: '#/components/schemas/MultisigOrder'
        proposers:
          type: array
          items:
            type: string
        signers:
          type: array
          items:
            type: string
        threshold:
          type: integer
    AddressBookRow:
      type: object
      properties:
        domain:
          type: string
        interfaces:
          type: array
          items:
            type: string
        user_friendly:
          type: string
    MultisigOrder:
      type: object
      properties:
        actions:
          type: array
          items: a1e8dae4-5a8c-4df2-ab5f-ea6fbcb82fb3
        address:
          type: string
        approvals_mask:
          type: string
        approvals_num:
          type: integer
        code_hash:
          type: string
        data_hash:
          type: string
        expiration_date:
          type: integer
        last_transaction_lt:
          type: string
          example: '0'
        multisig_address:
          type: string
        order_boc:
          type: string
        order_seqno:
          type: string
        sent_for_execution:
          type: boolean
        signers:
          type: array
          items:
            type: string
        threshold:
          type: integer

````